:mod:`cjklib.test` --- Unit tests
=================================


.. automodule:: cjklib.test


Functions
----------

.. autofunction:: attr




Classes
--------

.. autoclass:: CacheDict
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: DatabaseConnectorMock
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: EngineMock
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: NeedsDatabaseTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: NeedsTemporaryDatabaseTest
   :show-inheritance:
   :members:
   :undoc-members:
   



